# Uses of Class
org.eclipse.ecf.core.security.UnsupportedCallbackException

Packages that use UnsupportedCallbackException
Package
Description
org.eclipse.ecf.core.security
org.eclipse.ecf.provider.filetransfer.browse
org.eclipse.ecf.provider.filetransfer.httpclient4
org.eclipse.ecf.provider.filetransfer.httpclient45
org.eclipse.ecf.provider.filetransfer.httpclient5
org.eclipse.ecf.provider.filetransfer.retrieve
org.eclipse.ecf.provider.generic

## Uses of UnsupportedCallbackException in org.eclipse.ecf.core.security

Methods in org.eclipse.ecf.core.security that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`void`
CallbackHandler.`handle(Callback[] callbacks)`

## Uses of UnsupportedCallbackException in org.eclipse.ecf.provider.filetransfer.browse

Methods in org.eclipse.ecf.provider.filetransfer.browse that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`protected void`
URLFileSystemBrowser.`setupAuthentication()`

## Uses of UnsupportedCallbackException in org.eclipse.ecf.provider.filetransfer.httpclient4

Methods in org.eclipse.ecf.provider.filetransfer.httpclient4 that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`protected org.apache.http.auth.Credentials`
HttpClientFileSystemBrowser.`getFileRequestCredentials()`
Retrieves the credentials for requesting the file.
`protected org.apache.http.auth.Credentials`
HttpClientRetrieveFileTransfer.`getFileRequestCredentials()`
`protected void`
HttpClientFileSystemBrowser.`setupAuthentication(String urlString)`
`protected void`
HttpClientRetrieveFileTransfer.`setupAuthentication(String urlString)`

## Uses of UnsupportedCallbackException in org.eclipse.ecf.provider.filetransfer.httpclient45

Methods in org.eclipse.ecf.provider.filetransfer.httpclient45 that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`protected org.apache.http.auth.Credentials`
HttpClientFileSystemBrowser.`getFileRequestCredentials()`
Retrieves the credentials for requesting the file.
`protected org.apache.http.auth.Credentials`
HttpClientRetrieveFileTransfer.`getFileRequestCredentials()`
`protected void`
HttpClientFileSystemBrowser.`setupAuthentication(String urlString)`
`protected void`
HttpClientRetrieveFileTransfer.`setupAuthentication(String urlString)`

## Uses of UnsupportedCallbackException in org.eclipse.ecf.provider.filetransfer.httpclient5

Methods in org.eclipse.ecf.provider.filetransfer.httpclient5 that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`protected org.apache.hc.client5.http.auth.Credentials`
HttpClientFileSystemBrowser.`getFileRequestCredentials()`
Retrieves the credentials for requesting the file.
`protected org.apache.hc.client5.http.auth.Credentials`
HttpClientRetrieveFileTransfer.`getFileRequestCredentials()`
`protected void`
HttpClientFileSystemBrowser.`setupAuthentication(String urlString)`
`protected void`
HttpClientRetrieveFileTransfer.`setupAuthentication(String urlString)`

## Uses of UnsupportedCallbackException in org.eclipse.ecf.provider.filetransfer.retrieve

Methods in org.eclipse.ecf.provider.filetransfer.retrieve that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`protected void`
UrlConnectionRetrieveFileTransfer.`setupAuthentication()`

## Uses of UnsupportedCallbackException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`protected Object`
ClientSOContainer.`getConnectData(ID remote, IConnectContext joinContext)`